00-00_Introduction

Introduction

Note: It is quite possible the design would be better built in a coordinate system other than Cartesian.

This tutorial goes over the basics of relations, revolves, sweeps, mirrors and pattern features.

  • Relations help define sketch entities by relating them to other sketch entities.
  • Revolve is a feature that adds or removes material by revolving one or more profiles around an axis.
  • Sweep creates a base, boss, cut, or surface by sweeping a profile (section) along a path.
  • Mirror creates a mirrored version of the feature over a plane.
  • Pattern repeats the selected features in an array based on a seed feature.
In this tutorial, these features will be used to create a hair brush, shown below.

  1. Create the main body of the hair brush by using the revolve feature
    1. Sketch a center axis
    2. Adding the first revolve profile arc
    3. Adding the second revolve profile arc
    4. Completing the revolve profile
    5. Completing the revolve feature
  2. Create the top slot by using revolve cut feature
  3. Create the bottom clasp
    1. Sketching the sweep path
    2. Sketching the sweep section profile
    3. Completing the sweep
    4. Mirroring the sweep
  4. Create the hairbrush bristles
    1. Create an opening for a bristle
    2. Create a bristle by using draft extruded base
    3. Create a linear pattern
    4. Create a circular pattern
  5. Conclusion

See the steps in the slide show.

← →

Next topic
Create a New Part


01-01_New Part

Creating and Saving a Part Document

Open a new part document and save it.

Note: Remember to pick a suitable name for your solid model! What would be suitable?
  1. Click New [image] (Menu Bar).
  2. In the New SOLIDWORKS Document dialog box, click MecE 265 Part Template.

    Click OK.

  3. Click Save [image] (Menu bar).
  4. In the dialog box, type CCID_TutorialRevolve_HairBrush for the file name.
  5. Click Save.

Previous topic
Introduction
Next topic
Creating a Revolve


02-01_Creating a Revolve

Creating a Revolve

Aim: We're going to build the main body in cylindrical coordinates with the following steps.

  1. Sketch a revolve profile with following sketching tools:
    • Line
    • Arc
    • Trim Entities
    • Add Relations
  2. Use revolve tool to revolve the sketch 360 degrees.

Previous topic
Creating a New Part
Next topic
Sketching a Revolve Profile


02-02_Sketching a Revolve Profile

Sketching a Revolve Profile

Create the base feature of the hair brush by creating a sketch profile and revolving the sketch profile around an axis. This could be:

  • An axis made using reference geometry
  • A centreline on the sketch
  • A line in the closed sketch that describes the shape.

Start by creating the axis of rotation, in this case it is part of the closed sketch:

  1. Click Revolved Boss/Base [image] (Features toolbar).

    The Front, Top, and Right planes appear.

  2. Select the Front plane.

    A sketch opens on the Front plane.

  3. Click Line [image] (Sketch toolbar) and sketch a vertical line from the origin.
  4. Click Smart Dimension [image] (Sketch toolbar). Dimension the line as 250 mm.

Note: The line is the colour black (fully defined) as:
    • it is locked to the origin [image] (coincident with the origin).
    • it is locked to the vertical [image].
    • it is a defined length.

Previous topic
Creating a Revolve
Next topic
Sketching the First Arc


02-03_Sketching the First Arc

Sketching the First Arc

We need to make a closed sketch to revolved around the axis of rotation.

Sketch and dimension the top arc and line needed to complete the profile.

  1. Click Center Point Arc [image] (Sketch toolbar).
    Note: Click the down arrow on the Arc [image] flyout button to select the Center Point Arc tool.
  2. Sketch an arc such that the arc center point is on the 250 mm line, and one arc end point is coincident with the top end of the line. Use the following measurements:
    • Height: 5mm
    • Length: 30mm
    Note: Avoid making the arc center point on the midpoint of the 250mm line

Previous topic
Sketching a Revolve Profile
Next topic
Sketching the Second Arc


02-04_Sketching the Second Arc

Sketching the Second Arc

Continue creating the sketch profile using arcs and lines:

  1. Click Line [image] (Sketch toolbar).
  2. Sketch a vertical line downward 160 mm long, starting at the lower endpoint of the arc.

  3. Click 3 Point Arc [image] (Sketch toolbar).
  4. Sketch an arc so that the arc centerpoint and endpoints are coincident with the 160 mm line (Watch for the [image] pointer). Use the following measurements:
    • Length 10mm
    • Radius 7 mm

    Make sure that the bottom arc endpoint is coincident with the 160mm line endpoint.

    Your sketch should appear as follows:

  5. Click Trim Entities [image] (Sketch toolbar).
  6. In the PropertyManager, under Options, click Trim to closest [image].
  7. Click the vertical line beside the arc to trim off it.
  8. Create a vertical relation between the two endpoints of the arc by:
    1. Clicking the two end points of the arc by holding CTRL.
    2. In the PropertyManager under Add Relations click Vertical.

      This adds a vertical relation to the two endpoints and causes them to always be vertically aligned.

Previous topic
Sketching the First Arc
Next topic
Completing the Revolve Profile


02-05_Complete the Revolve Profile

Complete the Revolve Profile

Now complete the revolve profile.

  1. Click Line [image] (Sketch toolbar).
  2. Sketch the following lines to complete the profile.
    1. A horizontal line (length does not matter):

    2. A vertical line that is 2 mm long. Make it vertical with the center point of the arc using a vertical relation between the center point and either end of the line.

    3. Sketch the following lines and dimension them as following

  3. The finished revolve profile should look like this:

Previous topic
Sketching the Second Arc
Next topic
Creating the Revolve Feature


02-06_Creating the Revolve Feature

Creating the Revolve Feature

Now that the sketch profile is finished, revolve the profile around the center line to create the revolve feature.

  1. Click Exit Sketch [image] (Sketch toolbar).

  2. In the PropertyManager:

    Note: If the pointer is moved over a box or an icon in the PropertyManager, a tooltip appears with the name of the box or icon.

    1. For Axis of Revolution , select the 250 mm long vertical line in the sketch.
    2. Under Direction 1, select Blind for the Revolve Type.
    3. Under Direction 1, set the angle to 360 as we want a complete revolve.

  3. Click [image].
  4. Save the part.
  5. The part should appear as follows:

Previous topic
Completing the Revolve Profile
Next topic
Creating a Revolve Cut


03-01_Creating a Revolve Cut

Creating a Revolve Cut

Create a slot in the hair brush body using the revolve cut tool:

  1. Click Revolved Cut [image] (Features toolbar).
  2. Expand the Flyout FeatureManager and select the Front plane.

    A sketch opens on the Front plane.

  3. Create a sketch as follows:

    Note: The sketch must be a closed sketch in order for a Revolved Cut to be done.
  4. Click Exit Sketch [image] (Sketch toolbar).
  5. Click View Temporary Axis [image] (View toolbar) (a temporary axis appears).

    Note: You can also access this by going to View > Hide/Show.

  6. In the PropertyManager:
    1. For Axis of Revolution , select the axis that appeared.
    2. Under Direction 1, select Blind for the Revolve Type.
    3. Under Direction 1, set the angle to 360.
  7. Click [image]. The Revolve feature is created and the part should appear as follows:

  8. Click View Temporary Axis [image] (View toolbar) to turn it off
Previous topic
Creating the Revolve Feature
Next topic
Create the Bottom Clasp


04-01_Create the Bottom Clasp

Create the Bottom Clasp

The next step to to build the clasp at the bottom of the handle. This will be done by sweeping a closed sketch along a path.

Previous topic
Creating the Revolve Cut
Next topic
Sketching the Sweep Path


04-02_Sketching the sweep path

Sketching the Sweep Path

The path can be an open curve, or a closed, non-intersecting curve. Neither the path nor the resulting sweep can be self-intersecting.

  1. Click Sketch [image] (Sketch toolbar).
  2. Select the Front plane in the FeatureManager design tree. A sketch opens on the Front plane.
  3. Sketch and dimension the following profile at the bottom of hair brush handle

  4. Click Sketch Fillet [image] (Sketch toolbar).
  5. In the PropertyManager
    1. For Entities to Fillet, select the arc and the line in the sketch.
    2. Under Fillet Parameters set Fillet Radius to be 20mm.
    3. Click [image] to create the fillet.

    6. Note: Tangent references [image] are automatically added between the curves and the added fillet.
  6. Click Exit Sketch [image] (Sketch toolbar).
Previous topic
Create the Bottom Clasp
Next topic
Sketching the Sweep Section Profile


04-03_Sketching the Sweep Section Profile

Sketching the Sweep Section Profile

Sketch the sweep section profile:

  1. Click Sketch [image] (Sketch toolbar).
  2. Select the Bottom face of hair brush handle.

  3. Click Circle [image] (Sketch toolbar) and sketch a circle that is co-radial (has the same centerpoint and radius) with the bottom face edge

  4. Click Line [image] (Sketch toolbar) and sketch a vertical line as shown.
  5. Click Trim Entities [image] (Sketch toolbar) and trim off half of the circle as shown.

  6. Click Exit Sketch [image] (Sketch toolbar).
Previous topic
Sketching the Sweep Path
Next topic
Completing the Sweep


04-04_Completing the Sweep

Completing the Sweep

Sweep the section along the path using the Swept Boss/Base tool:

  1. Click Swept Boss/Base [image] (Features toolbar).
  2. In the PropertyManager:
    1. Select Sketch5 (the half circle) in the graphics area for Profile [image].
    2. Select Sketch4 (the path) in the graphics area for Path [image].

      3. Note: A preview of the sweep appears in the graphics area. Note how the colors in Profile and Path match those in the graphics area.
    3. Under Options, select Follow Path in Profile orientation.
    4. Click [image] to create the sweep.

Previous topic
Sketching the Sweep Section Profile
Next topic
Mirroring the Sweep


04-05_Mirroring_the_Sweep.htm

Mirroring the Sweep

Mirror the newly created sweep using the Mirror tool.

  1. Click Mirror [image] (Features toolbar).
  2. In the PropertyManager:
    1. For Mirror Face/Plane [image], expand the Flyout FeatureManager and select Right Plane
      2. Note: You can also select one of the flat faces on the right side of the sweep for Mirror Face/Plane.
    2. For Features to Mirror [image], select Sweep1 from the Flyout FeatureManager.
      3. Note: You can also select the sweep itself as shown below.

      Note: Under Options, select Full Preview to preview the mirrored feature.
  3. Click [image]. Your solid model should now look like this.

Previous topic
Completing the Sweep
Next topic
Creating Hairbrush Bristles


05-00_Create Hairbrush Bristles

Creating Hairbrush Bristles

In this section, hairbrush bristles will be created. One bristle will be create first by using Extruded Boss/Base Feature. Then use Circular and Linear Pattern to multiply the bristle.

Previous topic
Mirroring the Sweep
Next topic
Creating an Opening for a Bristle


05-01_Creating an Opening for a Bristle

Creating an Opening for a Bristle

In this section, hairbrush bristles will be created. One bristle will be created first by using Extruded Boss/Base Feature. Then use Circular and Linear Pattern to multiply the bristle.

  1. To draw the first sketch, we need to add a plane in the appropriate location. Under Reference Geometry (Features toolbar), select Plane.

  2. In the PropertyManager:
    1. For the First Reference, select Front Plane from the Flyout Feature Manager.
    2. Under First Reference, select Parallel [image].
    3. For the Second Reference, select the outer surface of the hairbrush.
    4. Under Second Reference, select Tangent [image].

  3. Click OK [image]. A plane parallel to the Front Plane and tangent to the outer surface of the hairbrush is created.
  4. Click View Temporary Axis [image] (View toolbar) to turn the temporary axis on. Sketch the following profile on the plane created in the last step.

  5. Click Extruded Cut [image] (Features toolbar).
  6. In the PropertyManager, under Direction 1, set End Condition to Blind and the depth to be 1 mm.
  7. Click [image].
Previous topic
Creating Hairbrush Bristles
Next topic
Creating a Bristle


05-02_Create a Bristle by Using Draft Extruded Base

Create a Bristle by Using Draft Extruded Base

Create a pair of bristles:

  1. Click the Extruded Boss/Base [image] (Feature Toolbar).

  2. Select the inner face of the opening.

  3. Create the following sketch using the steps shown below:

    1. Sketch a construction line and two circles.

      Note: Construction line are lines that are used to assist in sketching but are ignored when the feature is made.
    2. Dimension both circles using an equal relation.

    3. Dimension the construction line and center it with the temporary axis.

  4. Click Exit Sketch [image] (Sketch toolbar).
  5. In the PropertyManager, under Direction 1:
    1. Select Blind in End Condition.
    2. Set Depth [image] to 7 mm.
    3. Set the Draft Angle to 2 deg.

  6. Click [image].

Previous topic
Creating an Opening for a Bristle
Next topic
Creating a Linear Pattern


05-03_Creating a linear pattern

Creating a Linear Pattern

Create a linear pattern of the bristle on the hairbrush.

  1. Click Linear Pattern [image] on the Features toolbar.
    Note: The Linear PatternPropertyManager appears with the Pattern Direction selection box active.
  2. Under Direction 1:
    1. For Pattern Direction, click the temporary axis in the graphics area to create the pattern along the same direction as the dimension line.
    2. If necessary, click Reverse Direction [image] so the arrow in the graphics area points down.
    3. Set Spacing [image] to 7.5 mm.

      This value is the distance between corresponding points on the patterned feature.

    4. Set the Number of Instances [image] to 18.

      This value includes the original cut-extrude feature.

    5. Select Cut-Extrude for Opening and Extrude Base for Bristles for Features and Faces

    Note: A preview of the pattern appears in the graphics area. A callout indicates the Direction, Spacing, and Instances.

  3. Under Options, select Geometry pattern.
    Note: The Geometry pattern option speeds up the creation and rebuilding of the pattern. Individual instances of the feature are copied, but not solved.
  4. Click OK [image].
Previous topic
Creating a Bristle by Using Draft Extruded Base
Next topic
Creating a Circular Pattern


05-04_Creating a Circular Pattern

Creating a Circular Pattern

Now create a circular pattern of the linear pattern, using a temporary axis as the axis of revolution.

  1. Click Circular Pattern [image] on the Features toolbar.
  2. In the PropertyManager, under Parameters:
    1. For Pattern Axis, select the temporary axis that passes through the center of the revolved feature.

      The pointer changes to [image] when you move it over the axis.

      Axis <1> appears in Pattern Axis.

    2. Select Equal spacing.
    3. Set Number of Instances to 20.
    4. Set Angle [image] to 360.

Previous topic
Creating a linear pattern
Next topic
Conclusion


99-99_Conclusion

Conclusion

Congratulations! You have completed this tutorial.

Summary

The learning objectives of this tutorial were to introduce:

  • Revolved Boss/Base
  • Revolved Cut
  • Sweep Feature
  • Linear Pattern
  • Circular Pattern
  • Draft Extruded Boss/Base

Additional Resources

Refer to the SOLIDWORKS original tutorials for more practice with related concepts:

  • Sweep and Revolve
  • Patterns

Acknowledgements

This tutorial was planned and written by Andrew Archibald and Dat Nguyen under the directions of Dr. Nobes (2017). Property of the Mechanical Engineering Department, University of Alberta.

Previous topic
Creating a Circular Pattern